Magellan Linux

Diff of /trunk/mage/usr/lib/mage/smage2.sh

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

revision 59 by niro, Tue Feb 15 22:58:43 2005 UTC revision 193 by niro, Fri Aug 19 14:14:59 2005 UTC
# Line 4  Line 4 
4  # needs pkgbuild_dir (mage)  # needs pkgbuild_dir (mage)
5    
6  # SMAGE2  # SMAGE2
7  # version: 0.3.6-r13  # $Header: /home/cvsd/magellan-cvs/magellan-src/mage/usr/lib/mage/smage2.sh,v 1.24 2005-08-19 14:14:59 niro Exp $
8    
9  #01.10.2004  #01.10.2004
10  # added ccache support  # added ccache support
11  # added distcc support  # added distcc support
12    
13  ## setup ##  ## setup ##
 SMAGEVERSION=0.3.6-r13  
14  PKGSUFFIX="mpk"  PKGSUFFIX="mpk"
15  SMAGENAME="$1"  SMAGENAME="$1"
16  SMAGESUFFIX="smage2"  SMAGESUFFIX="smage2"
# Line 19  SMAGESUFFIX="smage2" Line 18  SMAGESUFFIX="smage2"
18  #SMAGESCRIPTSDIR="/bootstrap/smage2-install-scripts"  #SMAGESCRIPTSDIR="/bootstrap/smage2-install-scripts"
19  #SMAGE2RSYNC="rsync://192.168.0.2/smage2-scripts"  #SMAGE2RSYNC="rsync://192.168.0.2/smage2-scripts"
20  MLIBDIR=/usr/lib/mage  MLIBDIR=/usr/lib/mage
21    SMAGEVERSION="$( < ${MLIBDIR}/version)"
22    
23    # export default C locale
24    export LC_ALL=C
25    
26  source /etc/mage.rc  source /etc/mage.rc
27    
# Line 100  get_db_md5_sum() { Line 103  get_db_md5_sum() {
103    
104  download_sources() {  download_sources() {
105    
106   [ -z "${SRC_URI}" ] && echo "Nothing declared to download." && return 0   [ -z "${SRC_URI}" ] && echo -e "\nNothing declared to download.\n" && return 0
107    
108   local EOA=${#SRC_URI[*]}   local EOA=${#SRC_URI[*]}
109   local MY_SRC_URI   local my_SRC_URI
110     local my_SRC_URI_DEST
111     local my_SRC_URI_MIRROR
112     local my_SOURCEDIR
113   local DB_MD5_SUM_FILE="${MD5DIR}/$(basename ${SMAGENAME} .${SMAGESUFFIX}).md5"   local DB_MD5_SUM_FILE="${MD5DIR}/$(basename ${SMAGENAME} .${SMAGESUFFIX}).md5"
114   local FETCHING   local FETCHING
115   local i mirror   local i mirror
# Line 113  download_sources() { Line 119  download_sources() {
119   [ ! -d ${SOURCEDIR}/${PNAME} ] && install -d ${SOURCEDIR}/${PNAME}   [ ! -d ${SOURCEDIR}/${PNAME} ] && install -d ${SOURCEDIR}/${PNAME}
120    
121   # check if FETCHING is needed   # check if FETCHING is needed
122   ( cd ${SOURCEDIR}/${PNAME}; md5sum --check ${DB_MD5_SUM_FILE} > /dev/null )   ( cd ${SOURCEDIR}/${PNAME}; md5sum --check ${DB_MD5_SUM_FILE} &> /dev/null )
123   if [[ $? == 0 ]]   if [[ $? == 0 ]]
124   then   then
125   # md5's ok, not fetching needed   # md5's ok, not fetching needed
# Line 124  download_sources() { Line 130  download_sources() {
130    
131   for ((i=0; i < EOA; i++))   for ((i=0; i < EOA; i++))
132   do   do
133   # get MD5 sum from database   # url to file
134     my_SRC_URI="$(echo ${SRC_URI[${i}]} | cut -d' ' -f1)"
135    
136     # subdir in sources dir; the my_SRCI_URI file goes to there
137     my_SRC_URI_DEST="$(echo ${SRC_URI[${i}]} | cut -d' ' -f2)"
138    
139     # if my_src_uri_dest is not equal my_src_uri; than an other dir is used
140     if [[ ${my_SRC_URI_DEST} != ${my_SRC_URI} ]]
141     then
142     my_SOURCEDIR="${SOURCEDIR}/${PNAME}/${my_SRC_URI_DEST}"
143     else
144     my_SOURCEDIR="${SOURCEDIR}/${PNAME}"
145     fi
146    
   
147   # if an mirrored file than replace first the mirror uri   # if an mirrored file than replace first the mirror uri
148   if [ -n "$(echo ${SRC_URI[${i}]} | grep 'mirror://')" ]   if [ -n "$(echo ${my_SRC_URI} | grep 'mirror://')" ]
149   then   then
150   for mirror in ${MIRRORS}   for mirror in ${MIRRORS}
151   do   do
152   MY_SRC_URI="$(echo ${SRC_URI[${i}]} | sed "s|mirror:/|${mirror}/sources|g")"   my_SRC_URI_MIRROR="$(echo ${my_SRC_URI} | sed "s|mirror:/|${mirror}/sources|g")"
153    
154   #echo "DEBUG: ${MY_SRC_URI}"   #echo "DEBUG: ${MY_SRC_URI}"
155   if [[ ${FETCHING} == true ]]   if [[ ${FETCHING} == true ]]
156   then   then
157   echo "==> fetching ${MY_SRC_URI}"   echo "==> fetching ${my_SRC_URI_MIRROR}"
158   wget \   wget \
159   --passive-ftp \   --passive-ftp \
160   --tries 3 \   --tries 3 \
161   --continue \   --continue \
162   --progress bar \   --progress bar \
163   --directory-prefix="${SOURCEDIR}/${PNAME}" \   --directory-prefix="${my_SOURCEDIR}" \
164   "${MY_SRC_URI}"   "${my_SRC_URI_MIRROR}"
165   if [ "$?" == "0" ]   if [ "$?" == "0" ]
166   then   then
167   break   break
# Line 157  download_sources() { Line 174  download_sources() {
174   #echo "DEBUG: ${SRC_URI[${i}]}"   #echo "DEBUG: ${SRC_URI[${i}]}"
175   if [[ ${FETCHING} == true ]]   if [[ ${FETCHING} == true ]]
176   then   then
177   echo "==> fetching ${SRC_URI[${i}]}"   echo "==> fetching ${my_SRC_URI}"
178   wget \   wget \
179   --passive-ftp \   --passive-ftp \
180   --tries 3 \   --tries 3 \
181   --continue \   --continue \
182   --progress bar \   --progress bar \
183   --directory-prefix="${SOURCEDIR}/${PNAME}" \   --directory-prefix="${my_SOURCEDIR}" \
184   "${MY_SRC_URI}"   "${my_SRC_URI}"
185   if [ "$?" == "0" ]  # only needed to run through a list of mirrors
186   then  # if [ "$?" == "0" ]
187   break  # then
188   else  # break
189   continue  # else
190   fi  # continue
191    # fi
192   fi   fi
193   fi   fi
194    
195     # unset them to be shure
196     unset my_SRC_URI
197     unset my_SRC_URI_DEST
198     unset my_SRC_URI_MIRROR
199     unset my_SOURCEDIR
200   done   done
201    
202   # recheck md5 sums   # recheck md5 sums
203   echo   echo
204   echo ">== Checking MD5 sums:"   echo ">== Checking MD5 sums:"
205   ( cd ${SOURCEDIR}/${PNAME}; md5sum --check ${DB_MD5_SUM_FILE} || die "md5 failed")   ( cd ${SOURCEDIR}/${PNAME}; md5sum --check ${DB_MD5_SUM_FILE} ) || die "md5 failed"
206   echo   echo
207    
208   # not needed anymore   # not needed anymore
# Line 207  src_install() { Line 230  src_install() {
230   return 0   return 0
231  }  }
232    
   
 build_mage_script() {  
  return 0  
 }  
   
233  mconfigure() {  mconfigure() {
234   if [ -x ./configure ]   if [ -x ./configure ]
235   then   then
# Line 320  minstalldocs() { Line 338  minstalldocs() {
338   done   done
339  }  }
340    
341    mstriplibs() {
342     local stripdir="$@"
343    
344     [ -z "${stripdir}" ] && stripdir=${BINDIR}
345     find ${stripdir} | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
346    }
347    
348    mstripbins() {
349     local stripdir="$@"
350    
351     [ -z "${stripdir}" ] && stripdir=${BINDIR}
352     find ${stripdir} | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
353    }
354    
355    sminclude() {
356     local i
357    
358     if [[ -n "$@" ]]
359     then
360     for i in $@
361     do
362     echo "--- Including ${SMAGESCRIPTSDIR}/include/${i}.sminc"
363     source ${SMAGESCRIPTSDIR}/include/${i}.sminc
364     done
365     echo
366     fi
367    }
368    
369  setup_distcc_environment(){  setup_distcc_environment(){
370   if [ -x /usr/bin/distcc ]   if [ -x /usr/bin/distcc ]
371   then   then
# Line 360  setup_ccache_environment(){ Line 406  setup_ccache_environment(){
406   fi   fi
407  }  }
408    
409    
410    # fixes given dependencies to match a MAGE_TARGET
411    # fix_mage_deps -target s/depend # <-- '-' is essential ! (build_mage_script needs this)
412    fix_mage_deps() {
413     local target="$1"
414     local depend="$2"
415     local NDEPEND
416     local sym dep cat pver pname
417    
418     # deps and provides are special
419     # they must be fixed to match the target
420    
421     # run this only if target and depend is not empty
422     if [ -n "${target}" ] && [ -n "${depend}" ]
423     then
424     # fix DEPEND
425     while read sym dep
426     do
427     cat="$(dirname ${dep})"
428     # abort on virtual
429     [[ ${cat} = virtual ]] && continue
430    
431     # fix pver to target-pver
432     # to get pname-target-pver
433    
434     # doing it backwards !
435     pver="${dep##*-}"
436     pname=$(basename ${dep/-${pver}/})
437    
438     # do not add empty lines
439     if [ -z "${NDEPEND}" ]
440     then
441     NDEPEND="${sym} ${cat}/${pname}${target}-${pver}"
442     else
443     NDEPEND="${NDEPEND}
444     ${sym} ${cat}/${pname}${target}-${pver}"
445     fi
446    
447     unset cat pname pver
448     done << EOF
449    ${depend}
450    EOF
451     # set NDEPEND to DEPEND
452     depend="${NDEPEND}"
453     fi
454    
455     echo "${depend}"
456    }
457    
458    # build_mage_script(): helper functions for regen_mage_tree()
459    # generates an mage file with given information in smage file
460    # needs at least:
461    #   PNAME                 name of pkg
462    #   PVER                  version
463    #   PBUILD                revision
464    #   PCATEGORIE            categorie of the pkg
465    #   STATE                 state of pkg stable|unstable|old
466    #   DESCRIPTION           va short description (opt)
467    #   HOMEPAGE              homepage (opt)
468    #   DEPEND                runtime dependencies (opt)
469    #   SDEPEND               add. needed deps to build the pkg (opt)
470    #   PROVIDE               provides a virtual (opt)
471    #
472    # special tags:
473    #   PKGTYPE               type of pkg
474    #   INHERITS              which functions get included
475    #   SPECIAL_FUNCTIONS     special functions wich should also be added
476    #                         warning: they get killed before the build starts !
477    #
478    #   MAGE_TREE_DEST        target destination of the generated tree
479    #   REGEN_MAGE_TREE       set to 'true' to enable this
480    #
481    # gets called with build_mage_script target # <-- '-' is essential !
482    build_mage_script()
483    {
484     local magefile
485     local dest
486     local target
487     local sym
488     local depname
489    
490     # if MAGE_TREE_DEST not set use BUILDDIR
491     : ${MAGE_TREE_DEST=${BUILDDIR}/mage-tree}
492    
493     # determinate which suffix this mage file should get, if any
494     target="$1"
495    
496     # name of magefile
497     magefile="${PNAME}${target}-${PVER}-${PBUILD}.mage"
498    
499     # destination to magefile
500     dest="${MAGE_TREE_DEST}/${PCATEGORIE}/${PNAME}${target}/${magefile}"
501    
502     # show what we are doing
503     echo "Generating Mage file:"
504     echo "  ${dest}"
505    
506     install -d "$(dirname ${dest})"
507     # now build the mage file
508     > ${dest}
509    
510     # header
511     echo '# $Header: /home/cvsd/magellan-cvs/magellan-src/mage/usr/lib/mage/smage2.sh,v 1.24 2005-08-19 14:14:59 niro Exp $' >> ${dest}
512     echo  >> ${dest}
513    
514     # pgkname and state
515     echo "PKGNAME=\"${PNAME}${target}-${PVER}-\${ARCH}-${PBUILD}\"" >> ${dest}
516     echo "STATE=\"${STATE}\"" >> ${dest}
517     echo >> ${dest}
518    
519     # description and homepage
520     echo "DESCRIPTION=\"${DESCRIPTION}\"" >> ${dest}
521     echo "HOMEPAGE=\"${HOMEPAGE}\"" >> ${dest}
522     echo >> ${dest}
523    
524     # special tags
525     echo "PKGTYPE=\"${PKGTYPE}\""  >> ${dest}
526     if [ -n "${INHERITS}" ]
527     then
528     echo -n "minclude"  >> ${dest}
529     local i
530     for i in ${INHERITS}
531     do
532     echo -n " ${i}"  >> ${dest}
533     done
534     echo  >> ${dest}
535     fi
536     echo >> ${dest}
537    
538     # deps and provides
539     echo "DEPEND=\"$(fix_mage_deps "${target}" "${DEPEND}")\"" >> ${dest}
540     echo "SDEPEND=\"$(fix_mage_deps "${target}" "${SDEPEND}")\"" >> ${dest}
541     echo "PROVIDE=\"${PROVIDE}\"" >> ${dest}
542     echo >> ${dest}
543    
544     # add special functions
545     if [ -n "${SPECIAL_FUNCTIONS}" ]
546     then
547     local i
548     for i in ${SPECIAL_FUNCTIONS}
549     do
550     # add to mage (quotes needed !)
551     typeset -f "${i}" >> ${dest}
552     # unset to be safe (quotes needed !)
553     #unset "${i}" <-- later to get every target built
554     done
555     fi
556    
557     # pre|post-install|removes
558     typeset -f preinstall >> ${dest}
559     echo  >> ${dest}
560     typeset -f postinstall >> ${dest}
561     echo  >> ${dest}
562     typeset -f preremove >> ${dest}
563     echo  >> ${dest}
564     typeset -f postremove >> ${dest}
565     echo  >> ${dest}
566    }
567    
568    regen_mage_tree()
569    {
570     local i
571    
572     # build them only if requested
573     if [[ ${REGEN_MAGE_TREE} = true ]]
574     then
575     # build for each target an mage file
576     for i in ${MAGE_TARGETS}
577     do
578     echo
579     build_mage_script "-${i}"
580     echo
581     done
582     fi
583    
584     # now unset all uneeded vars to be safe
585     # unset PKGNAME <-- don't do that; smage needs this var
586     # unset to be safe (quotes needed !)
587     for i in ${SPECIAL_FUNCTIONS}
588     do
589     unset "${i}"
590     done
591     unset SPECIAL_FUNCTIONS
592     unset STATE
593     unset DESCRIPTION
594     unset HOMEPAGE
595     unset PKGTYPE
596     unset INHERITS
597     unset DEPEND
598     unset SDEPEND
599     unset PROVIDE
600     unset preinstall
601     unset postinstall
602     unset preremove
603     unset postremove
604    }
605    
606  # print out our version  # print out our version
607  showversion  showversion
608  echo  echo
# Line 371  then Line 614  then
614   exit 1   exit 1
615  fi  fi
616    
617  #updating smage2-scripts  # updating smage2-scripts
618  if [ "$1" == "update" ]  if [ "$1" == "update" ]
619  then  then
620   if [ ! -d ${SOURCEDIR} ]   if [ ! -d ${SOURCEDIR} ]
# Line 382  then Line 625  then
625   exit 0   exit 0
626  fi  fi
627    
628  #creates md5sums for smages to given dir  # creates md5sums for smages to given dir
629  if [ "$1" == "calcmd5" ]  if [ "$1" == "calcmd5" ]
630  then  then
631   if [ $# -ge 3 ]   if [ $# -ge 3 ]
632   then   then
  # overridable sourcedir  
  CALC_SOURCEDIR="${CALC_SOURCEDIR:="${SOURCEDIR}/${PNAME}"}"  
   
633   SMAGENAME="$2"   SMAGENAME="$2"
634   MD5DIR="$3"   MD5DIR="$3"
635   source ${SMAGENAME} || die "download source failed"   source ${SMAGENAME} || die "download source failed"
636    
637     # overridable sourcedir; must be declared after source of the smage2
638     CALC_SOURCEDIR="${CALC_SOURCEDIR:="${SOURCEDIR}/${PNAME}"}"
639    
640   [ -z "${SRC_URI}" ] && die "Nothing declared to calculate."   [ -z "${SRC_URI}" ] && die "Nothing declared to calculate."
641    
642   # end of array   # end of array
# Line 407  then Line 650  then
650    
651   for ((i=0; i < EOA; i++))   for ((i=0; i < EOA; i++))
652   do   do
653   MY_SRC_FILE="$(basename ${SRC_URI[${i}]})"   # url to file
654     my_SRC_URI="$(echo ${SRC_URI[${i}]} | cut -d' ' -f1)"
655    
656     # subdir in sources dir; the my_SRCI_URI file goes to there
657     my_SRC_URI_DEST="$(echo ${SRC_URI[${i}]} | cut -d' ' -f2)"
658    
659     # if my_src_uri_dest is not equal my_src_uri; than an other dir is used
660     if [[ ${my_SRC_URI_DEST} != ${my_SRC_URI} ]]
661     then
662     MY_SRC_FILE="${my_SRC_URI_DEST}/$(basename ${SRC_URI[${i}]})"
663     else
664     MY_SRC_FILE="$(basename ${SRC_URI[${i}]})"
665     fi
666    
667   if [ -e "${CALC_SOURCEDIR}/${MY_SRC_FILE}" ]   if [ -e "${CALC_SOURCEDIR}/${MY_SRC_FILE}" ]
668   then   then
669   echo "calculating $(basename ${MY_SRC_FILE}) ..."   echo "calculating $(basename ${MY_SRC_FILE}) ..."
# Line 415  then Line 671  then
671   else   else
672   echo "WARNING: File '$(basename ${MY_SRC_FILE}) not found in ${CALC_SOURCEDIR}."   echo "WARNING: File '$(basename ${MY_SRC_FILE}) not found in ${CALC_SOURCEDIR}."
673   fi   fi
674    
675     # unset them to be shure
676     unset my_SRC_URI
677     unset my_SRC_URI_DEST
678     unset my_SRC_URI_MIRROR
679     unset my_SOURCEDIR
680   done   done
681    
682   echo   echo
# Line 433  then Line 695  then
695   exit 0   exit 0
696  fi  fi
697    
698  #download sources  # download sources
699  if [ "$1" == "download" -a -n "$2" ]  if [ "$1" == "download" -a -n "$2" ]
700  then  then
  showversion  
701   if [ ! -d ${SMAGESCRIPTSDIR} ]   if [ ! -d ${SMAGESCRIPTSDIR} ]
702   then   then
703   install -d ${SMAGESCRIPTSDIR}   install -d ${SMAGESCRIPTSDIR}
# Line 505  MD5DIR="$(dirname ${SMAGENAME})/md5" Line 766  MD5DIR="$(dirname ${SMAGENAME})/md5"
766  xtitle "Compiling ${PKGNAME}"  xtitle "Compiling ${PKGNAME}"
767  echo "Compiling ${PKGNAME}"  echo "Compiling ${PKGNAME}"
768    
769  #download sources  # auto regen mage tree if requested
770    regen_mage_tree
771    
772    # download sources
773  download_sources  download_sources
774    
775  #fixes some issues with these functions  # fixes some issues with these functions
776  export -f src_prepare || die "src_prepare export failed"  export -f src_prepare || die "src_prepare export failed"
777  export -f src_compile || die "src_compile export failed"  export -f src_compile || die "src_compile export failed"
778  export -f src_install || die "src_install export failed"  export -f src_install || die "src_install export failed"
779    
780  #fixes some compile issues  # fixes some compile issues
781  export CHOST="${CHOST}" || die "CHOST export failed"  export CHOST="${CHOST}" || die "CHOST export failed"
782  export CFLAGS="${CFLAGS}" || die "CFLAGS export failed"  export CFLAGS="${CFLAGS}" || die "CFLAGS export failed"
783  export CXXFLAGS="${CFLAGS}" || die "CXXFLAGS export failed"  export CXXFLAGS="${CFLAGS}" || die "CXXFLAGS export failed"
# Line 521  export BINDIR="${BINDIR}" || die "BINDIR Line 785  export BINDIR="${BINDIR}" || die "BINDIR
785  export MAKEOPTS="${MAKEOPTS}" || die "MAKEOPTS export failed"  export MAKEOPTS="${MAKEOPTS}" || die "MAKEOPTS export failed"
786    
787    
788  #setup distcc  # setup distcc
789  #distcc mus be setup *before* ccache, as ccache need to be before distcc in path  # distcc mus be setup *before* ccache, as ccache need to be before distcc in path
790  if [ "${SMAGE_USE_DISTCC}" == "true" ]  if [ "${SMAGE_USE_DISTCC}" == "true" ]
791  then  then
792   setup_distcc_environment   setup_distcc_environment
793  fi  fi
794    
795  #setup ccache  # setup ccache
796  if [ "${SMAGE_USE_CCACHE}" == "true" ]  if [ "${SMAGE_USE_CCACHE}" == "true" ]
797  then  then
798   setup_ccache_environment   setup_ccache_environment
# Line 549  sleep 1 Line 813  sleep 1
813  #read  #read
814  #debug end  #debug end
815    
816  #cleans up build if a previously one exists  # cleans up build if a previously one exists
817  if [ -d ${BUILDDIR} ]  if [ -d ${BUILDDIR} ]
818  then  then
819   rm -rf ${BUILDDIR}/* || die "couldn't cleanup \$BUILDDIR."   rm -rf ${BUILDDIR}/* || die "couldn't cleanup \$BUILDDIR."
820  fi  fi
821  install -d ${BUILDDIR} || die "couldn't create \$BUILDDIR."  install -d ${BUILDDIR} || die "couldn't create \$BUILDDIR."
822    
823  #cleans up srcdir if a previously unpacked one exists  # cleans up srcdir if a previously unpacked one exists
824  if [ -d ${SRCDIR} ]  if [ -d ${SRCDIR} ]
825  then  then
826   rm -rf ${SRCDIR}   rm -rf ${SRCDIR}
827  fi  fi
828    
829  #cleans up bindir if a previous build exists or creates a new one  # cleans up bindir if a previous build exists or creates a new one
830  if [ -d ${BINDIR} ]  if [ -d ${BINDIR} ]
831  then  then
832   rm -rf ${BINDIR}   rm -rf ${BINDIR}
833  fi  fi
834  install -d ${BINDIR} || die "couldn't create \$BINDIR."  install -d ${BINDIR} || die "couldn't create \$BINDIR."
835    
836  #cleans up package temp dir if a previous build exists  # cleans up package temp dir if a previous build exists
837  if [ -d ${BUILDDIR}/${PKGNAME} ]  if [ -d ${BUILDDIR}/${PKGNAME} ]
838  then  then
839   rm -rf ${BUILDDIR}/${PKGNAME}   rm -rf ${BUILDDIR}/${PKGNAME}
840  fi  fi
841    
842  #cleans up timestamp if one exists  # cleans up timestamp if one exists
843  if [ -f /var/tmp/timestamp ]  if [ -f /var/tmp/timestamp ]
844  then  then
845   mage rmstamp   mage rmstamp
# Line 586  src_compile || die "src_compile failed" Line 850  src_compile || die "src_compile failed"
850  src_install || die "src_install failed"  src_install || die "src_install failed"
851    
852    
853  #compressing doc, info & man files  # compressing doc, info & man files
854  echo -e "Compressing man-pages ..."  echo -e "Compressing man-pages ..."
855  if [ -d ${BUILDDIR}/builded/usr/share/man ]  if [ -d ${BUILDDIR}/builded/usr/share/man ]
856  then  then
# Line 599  then Line 863  then
863   ${MLIBDIR}/compressdoc -g -9 ${BUILDDIR}/builded/usr/share/info   ${MLIBDIR}/compressdoc -g -9 ${BUILDDIR}/builded/usr/share/info
864  fi  fi
865    
866  #the new buildpkg command  # stripping all bins and libs
867    case ${NOSTRIP} in
868     true|TRUE|yes|y)
869     echo -e "NOSTRIP=true detected; Package will not be stripped ..."
870     ;;
871     *)
872     echo -e "Stripping binaries ..."
873     mstripbins ${BINDIR}
874     echo -e "Stripping libraries ..."
875     mstriplibs ${BINDIR}
876     ;;
877    esac
878    
879    # the new buildpkg command
880  case ${NOPKGBUILD} in  case ${NOPKGBUILD} in
881   true|TRUE|yes|y)   true|TRUE|yes|y)
882   echo -e "NOPGKBUILD=true detected; Package will not be build ..."   echo -e "NOPGKBUILD=true detected; Package will not be build ..."
883   ;;   ;;
884   *)   *)
885   ${MLIBDIR}/pkgbuild_dir.sh ${PKGNAME} ${BINDIR} || die "package-build failed"   # build serveral targets
886   echo -e "\nPackage ${PKGNAME} successfully builded.\n"   if [ -n "${MAGE_TARGETS}" ]
887     then
888     for target in ${MAGE_TARGETS}
889     do
890     # check if an special target_pkgbuild exists
891     if typeset -f ${target}_pkgbuild > /dev/null
892     then
893     # run it
894     ${target}_pkgbuild
895     fi
896     # now create the target package
897     ${MLIBDIR}/pkgbuild_dir.sh \
898     "${PNAME}-${target}-${PVER}-${CHOST%%-*}-${PBUILD}" \
899     ${BINDIR} || die "target: ${target} package-build failed"
900     echo -e "\nPackage ${PNAME}-${target}-${PVER}-${CHOST%%-*}-${PBUILD} successfully builded.\n"
901     done
902     else
903     ${MLIBDIR}/pkgbuild_dir.sh ${PKGNAME} ${BINDIR} || die "package-build failed"
904     echo -e "\nPackage ${PKGNAME} successfully builded.\n"
905     fi
906   ;;   ;;
907  esac  esac
908    
909  #for sure  # for sure
910  unset NOPKGBUILD  unset NOPKGBUILD
911    unset NOSTRIP
912    
913  xtitleclean  xtitleclean
914  #echo -e "\nPackage ${PKGNAME} successfully builded.\n"  #echo -e "\nPackage ${PKGNAME} successfully builded.\n"

Legend:
Removed from v.59  
changed lines
  Added in v.193